<?php
session_start();
if (!isset($_SESSION["user_id"]) || $_SESSION["user_id"]==null):
   print "<script>alert(\"Acceso Invalido!\");
   window.location='login.php';</script>";
endif;
/*
if ($_SESSION["user_at"] < 2):
   print "<script>alert(\"Sin Acceso a Transaccion!\");
   window.location='vt000.php';</script>";
endif;
*/
include_once ("lib/fexcel/classes/PHPExcel.php");
include_once ("lib/fpdf/funci.php");
include_once ("lib/fpdf/fpdf.php");
date_default_timezone_set('America/La_Paz');

// Conectar a la base de datos
$conex = conectar();
//$feini = strip_tags($_POST["fecini"]);
//$fefin = strip_tags($_POST["fecfin"]);
//$fechi = date("Y-m-d",strtotime($feini));
//$fechf = date("Y-m-d",strtotime($fefin));
//$titul = "DEL ".$feini." AL ".$fefin;
class PDF extends FPDF{ // Cabecera de página
function Header(){
    // Logo
    $this->Image('images/ipdn.jpg',10,8,33);
    // Arial bold 15
    $this->SetFont('Arial','B',15);
    $this->Ln(5);
    // Movernos a la derecha
    $this->Cell(84);
    $this->Cell(30,10,'LISTADO DE CLIENTES ACTIVOS',0,0,'C');
    $this->SetFont('Arial','B',8);
    $this->Ln(8);
    $this->Cell(40);
    $this->Cell(15,10,'CODIGO',0,0,'C');
    $this->Cell(50,10,'NOMBRE COMPLETO',0,0,'L');
    $this->Cell(50,10,'DIRECCION',0,0,'L');
    $this->Cell(15,10,'TELEFONO',0,0,'C');
    // Salto de línea10    
    $this->Ln(6);
}
// Pie de página
function Footer(){
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Arial italic 8
    $this->SetFont('Arial','I',8);
    // Número de página
    $this->Cell(0,10,'Pagina '.$this->PageNo().'/{nb}',0,0,'C');
}
}
// Realiza la consulta
$resul = mysql_query("select * from adage
                      where  adagestat = 0
                      order  by 2");
// Creación del objeto de la clase heredada
$pdf = new PDF("P","mm","letter");
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial','',8);
while ($mirow = mysql_fetch_assoc($resul)):
   $pdf->Cell(40);
   $pdf->Cell(15,5,$mirow["adagendoc"],0,0,'C',0);
   $pdf->Cell(50,5,utf8_decode($mirow["adagenomb"]),0,0,'L',0);
   $pdf->Cell(50,5,utf8_decode($mirow["adagedire"]),0,0,'L',0);
   $pdf->Cell(15,5,$mirow["adagetelf"],0,0,'C',0);
   $pdf->Ln(3);
endwhile;
$pdf->Output();
mysql_free_result($resul);
mysql_close($conex);
?>
